Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLTheme Class Reference

`#include <theme.h>`

List of all members.

## Public Methods
virtual TTF_Font* | FindDefaultFont () = 0
virtual TTF_Font* | FindFont (const char* widgettype, const char* objectname) = 0
virtual SDL_Surface* | FindSurface (const char* widgettype, const char* object, const char* name) = 0
virtual SDL_Gradient* | FindGradient (const char* widgettype, const char* object, const char* name) = 0
virtual long | FindProperty (const char* widgettype, const char* object, const char* name) = 0

## Member Function Documentation

virtual TTF_Font* SDLTheme::FindDefaultFont ( | )`[pure virtual]`

virtual TTF_Font* SDLTheme::FindFont ( | const char * widgettype,
| const char * objectname )`[pure virtual]`

virtual SDL_Gradient* SDLTheme::FindGradient ( | const char * widgettype,
| const char * object,
| const char * name )`[pure virtual]`

virtual long SDLTheme::FindProperty ( | const char * widgettype,
| const char * object,
| const char * name )`[pure virtual]`

virtual SDL_Surface* SDLTheme::FindSurface ( | const char * widgettype,
| const char * object,
| const char * name )`[pure virtual]`

The documentation for this class was generated from the following file:

- theme.h